List chatbots
Get a list of all the available chatbots associated with your account. Can be used to retrieve IDs for further operations.
GET
/chatbotsRequest parameters
Section titled “Request parameters”Headers
AuthorizationstringrequiredYour API Key formatted as Bearer sk_live_…
Response
Section titled “Response”dataarrayA list of chatbot objects.
idstringThe unique UUID identifier of the chatbot.
namestringThe name of the chatbot.
settingsobjectConfiguration object containing theme and prompt details.
is_activebooleanWhether the chatbot is currently enabled and active.
created_atstringThe ISO 8601 timestamp of when the chatbot was created.
curl -X GET https://app.picobot.dev/api/chatbots \ -H "Authorization: Bearer <token>"fetch('https://app.picobot.dev/api/chatbots', { method: 'GET', headers: { 'Authorization': 'Bearer <token>' }}).then(res => res.json()).then(console.log);import requests
headers = { "Authorization": "Bearer <token>"}response = requests.get("https://app.picobot.dev/api/chatbots", headers=headers)print(response.json())HttpResponse<String> response = Unirest.get("https://app.picobot.dev/api/chatbots") .header("Authorization", "Bearer <token>") .asString();{ "data": [ { "id": "91981020-f783-4544-ad96-39857ac589cb", "name": "Support Bot", "settings": { "theme": "dark" }, "is_active": true, "created_at": "2026-06-19T21:21:06.572Z" }, { "id": "b3f0-848d33130015-1e70-4201", "name": "Lead Generator", "settings": { "theme": "light" }, "is_active": true, "created_at": "2026-06-15T10:00:00.000Z" } ]}